
Core - Bug # 24442

Status: Closed Priority: Should have
Author: Sven Weiss Category:
Created: 2010-12-30 Assigned To:
Updated: 2014-06-10 Due date:
TYPO3 Version: 4.4
PHP Version: 5.3
Complexity:
Is Regression: No
Sprint Focus:
Subject: Each element shows start und stop 01.01.1970
Description

Each element in Backend has default start und stop date 01.01.1970. Also if I don't set a date in one of these fields. I think this is since
4.4.x (I upgraded from 4.2.x so I cannot say if this also happens in 4.3.x).
I first though of a bug in my extension but then recognized that "pages" have this problem also.
Also tried if this is a language problem, but this also happens with english backend.

See screenshot

(issue imported from #M16877)

Related issues:
related to Core - Bug # 14166: Content Type TABLE does not allow 0 cellspacing New 2004-05-15

History
#1 - 2010-12-30 17:17 - Steffen Gebert

That's probably because the field's value is 0 and timestamp 0 means beginning of unix time, which is 1.1.1970.

But the rendering should really be improved. Sven, could you investigate, where this output is rendered (and suppress the output, if value is 0 for date
fields).

#2 - 2010-12-30 18:56 - Sven Weiss

Perhaps the attached patch helps.
I identified 2 places:
1. date
2. datetime

Never used time oder timesec

#3 - 2011-01-03 10:59 - Steffen Gebert

Thanks for investigating, Sven!

Could you try the attached patch, please? Yours didn't apply for me. We don't have to set $l to a value in every case, it already has '' by default.

Could you also check this with 4.5beta3? Could not reproduce the problem there.
#4 - 2011-01-05 11:51 - Sebastian Michaelsen

v2 works great for me with trunk.

We absolutely need this on in version 4.5

#5 - 2011-01-09 12:22 - Benjamin Mack

Hey guys.

What about fields with birthdays and a guy who happens to be born on Jan 1st, 1970 ? And what about birthdays where the date is negative (prior to
1970)?

#6 - 2011-01-09 12:24 - Benjamin Mack

Check out http://bugs.typo3.org/view.php?id=93 - same issue.

#7 - 2011-01-09 13:30 - Steffen Gebert

But for 01.01.1970 00:00, we don't show a value in TCEforms, but only in the list module.
Benni, would this patch also affect other places, where hiding the value might not be desired?

I checked also 4.3 (timestamp 0 is shown in List module) and 4.2, where it is NOT shown. So this behavior really has changed for 4.3

Can you remember the reason? I searched the ChangeLog for "date", but found only several daylight-saving-time issues.

#8 - 2014-06-04 11:10 - Alexander Opitz
- Status changed from New to Needs Feedback
- Target version deleted (0)
- Is Regression set to No

Hi,

as this issue is very old. Does the problem still exists within newer versions of TYPO3 CMS (6.2.3)?

#9 - 2014-06-04 12:12 - Henrik Ziegenhain

I think this issue could be closed. I can not reproduce this in 6.2.2

#10 - 2014-06-10 11:30 - Alexander Opitz
- Status changed from Needs Feedback to Closed

Files
screen_start_stop.png 12.9 kB 2010-12-30 Administrator Admin
0016877.patch 1.4 kB 2010-12-30 Administrator Admin

2015-08-04 2/3

http://bugs.typo3.org/view.php?id=93


16877_v2.diff 1.4 kB 2011-01-03 Administrator Admin
